Bug 1316196 - Review Request: shrinkwrap-resolver - Java API to obtain Maven artifacts
Review Request: shrinkwrap-resolver - Java API to obtain Maven artifacts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1316195
  Show dependency treegraph
 
Reported: 2016-03-09 11:13 EST by gil cattaneo
Modified: 2016-04-17 23:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 17:34:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2016-03-09 11:13:05 EST
Spec URL: https://gil.fedorapeople.org/shrinkwrap-resolver.spec
SRPM URL: https://gil.fedorapeople.org/shrinkwrap-resolver-2.2.2-1.fc23.src.rpm
Description:
The ShrinkWrap Resolvers project provides a Java API to obtain artifacts
from a repository system. This is handy to include third party libraries
available in any Maven repository in your test archive. ShrinkWrap Resolvers
additionally allows you to reuse all the configuration you've already specified
in Maven build file, making packaging of an application archive much easier job.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2016-03-10 07:03:19 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13296341
Comment 2 gil cattaneo 2016-03-10 11:09:48 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13298334
Comment 3 Raphael Groner 2016-03-22 15:20:04 EDT
shrinkwrap-resolver [f23, master] was unorphaned by limb 
ShrinkWrap Resolver 
https://admin.fedoraproject.org/pkgdb/package/shrinkwrap-resolver

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/G4RNANNW2A4KFMCYQA442CW6PBTQWPLW/

2016-03-10 15:37:56 	user: limb changed point of contact of package: shrinkwrap-resolver from: orphan to: gil on branch: master 

https://admin.fedoraproject.org/pkgdb/package/rpms/shrinkwrap-resolver/timeline
Comment 4 Dennis Gilmore 2016-03-22 15:59:33 EDT
this review does not look right.
Comment 5 gil cattaneo 2016-03-22 16:10:13 EDT
(In reply to Raphael Groner from comment #3)
> shrinkwrap-resolver [f23, master] was unorphaned by limb 
> ShrinkWrap Resolver 
> https://admin.fedoraproject.org/pkgdb/package/shrinkwrap-resolver
> 
> https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/
> message/G4RNANNW2A4KFMCYQA442CW6PBTQWPLW/
> 
> 2016-03-10 15:37:56 	user: limb changed point of contact of package:
> shrinkwrap-resolver from: orphan to: gil on branch: master 
> 
> https://admin.fedoraproject.org/pkgdb/package/rpms/shrinkwrap-resolver/
> timeline

The package must be reviewed
https://fedorahosted.org/rel-eng/ticket/6379#comment:1
Comment 6 Raphael Groner 2016-03-22 16:17:46 EDT
Sorry but I do not understand what's going on here, it's not the normal process.
Comment 7 gil cattaneo 2016-03-22 16:45:06 EDT
(In reply to Raphael Groner from comment #6)
> Sorry but I do not understand what's going on here, it's not the normal
> process.

From https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package

"Retired Fedora packages (master/devel/rawhide branch retired) require a re-review if they are retired for more than two weeks or if there is no previous review of the package. Submit a review request (a new bugzilla ticket) and have the package approved by a reviewer as if it were new to Fedora. See the package review process for more information. To unretire a EPEL branch if the package is still in Fedora, no re-review is required."

The package was retired in 2015/07/28. This mean more of two weeks
Comment 8 Zbigniew Jędrzejewski-Szmek 2016-03-31 19:05:06 EDT
Side note: package was retired because it did not build for two releases. Now it builds again, so that reason is gone. So that's good.

Summary is useless. Proposed replacement: Java API to obtain maven artifacts.
Summaries and %descriptions for the subpackages are all pretty bad:
- Summary should not repeat the package name or expand the abbreviations
- It should succinctly summarize the purpose of the package
- %description should say what the (sub)package is used for
- %description should be wrapped to ~72 columns

I'd suggest using "%global _docdir_fmt %{name}" to avoid a separate license dir for each of the subpackages.

+ latest version
+ license is acceptable (ASL)
+ license file is present, %license is used
+ all subpackages have the license
+ package name follows guidelines
+ builds and installs OK
+ no scriptlets present or necessary
+ provides/requires look OK
+ standard maven build macros are used
- no %check, unfortunately

more interesting parts of fedora-review output:
Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

rpmlint:
16×no-documentation and bogus spelling-errors, all OK

Package is (RE-)APPROVED. Please improve the Summaries and %descriptions.
Comment 9 gil cattaneo 2016-03-31 20:29:03 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #8)
> Side note: package was retired because it did not build for two releases.
> Now it builds again, so that reason is gone. So that's good.
> 
> Summary is useless. Proposed replacement: Java API to obtain maven artifacts.
Done
> Summaries and %descriptions for the subpackages are all pretty bad:
> - Summary should not repeat the package name or expand the abbreviations
> - It should succinctly summarize the purpose of the package
> - %description should say what the (sub)package is used for
> - %description should be wrapped to ~72 columns
Any suggestion is welcome!

> Package is (RE-)APPROVED. Please improve the Summaries and %descriptions.
Thanks for the review!
Comment 10 Karel Piwko 2016-04-01 07:17:39 EDT
LGTM. Thanks for the work guys!
Comment 11 gil cattaneo 2016-04-02 22:40:41 EDT
Open https://fedorahosted.org/rel-eng/ticket/6384
Comment 12 Fedora Update System 2016-04-09 11:34:51 EDT
shrinkwrap-resolver-2.2.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5e46208fa
Comment 13 Fedora Update System 2016-04-09 12:14:31 EDT
shrinkwrap-resolver-2.2.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-798ad6ebf9
Comment 14 Fedora Update System 2016-04-09 17:22:14 EDT
shrinkwrap-resolver-2.2.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5e46208fa
Comment 15 Fedora Update System 2016-04-10 11:48:31 EDT
shrinkwrap-resolver-2.2.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-798ad6ebf9
Comment 16 Fedora Update System 2016-04-13 17:34:04 EDT
shrinkwrap-resolver-2.2.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-04-17 23:19:53 EDT
shrinkwrap-resolver-2.2.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.